karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gareth Healy (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KARAF-1234) dev:dynamic-import does not work on wrap:mvn:org.neo4j/neo4j-kernel/1.6
Date Fri, 07 Aug 2015 06:38:46 GMT

    [ https://issues.apache.org/jira/browse/KARAF-1234?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14661399#comment-14661399
] 

Gareth Healy commented on KARAF-1234:
-------------------------------------

Does the suggested fix work [~jbonofre]? As i tried this in 2.3 and dynamic imports is not
included. Is there another way of doing this?

> dev:dynamic-import does not work on wrap:mvn:org.neo4j/neo4j-kernel/1.6
> -----------------------------------------------------------------------
>
>                 Key: KARAF-1234
>                 URL: https://issues.apache.org/jira/browse/KARAF-1234
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-osgi
>    Affects Versions: 2.2.5
>            Reporter: Hendy Irawan
>            Assignee: Jean-Baptiste Onofré
>
> Install neo4j-kernel and let it get wrapped:
> install wrap:mvn:org.neo4j/neo4j-kernel/1.6
> Enable dynamic import on it, error occurs:
> {code}
> karaf@root> dev:dynamic-import 93
> Enabling dynamic imports on bundle neo4j-kernel [93]
> Error executing command: Invalid syntax for instruction [Bundle-Version=1.6$Bundle-UpdateLocation=wrap:file:/home/ceefour/apache-karaf-2.2.5/deploy/neo4j-kernel-1.6.jar$Bundle-SymbolicName=neo4j-kernel].
Take a look at http://www.aqute.biz/Code/Bnd.      
> {code}
> Dynamic imports need to be enabled because it indirectly "depends" on neo4j-lucene-index
artifact.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message